WeekEntry (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.common.server.session.WeekEntry class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.common.server.session
Class WeekEntry

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.common.server.session.CalendarEntry
              org.hyperic.hq.common.server.session.WeekEntry

All Implemented Interfaces:
  java.io.Serializable

    public class WeekEntry

extends CalendarEntry

Represents time during a single week .. any week of the year. WeekDay: 0->6 (0 being Sunday) startTime & endTime: minutes since 00:00 (midnight)

See Also:
  Serialized Form

Constructor Summary
`protected` | `WeekEntry()`

Method Summary
`boolean` | `containsTime(long time)`
`int` | `getEndTime()`
`int` | `getStartTime()`
`int` | `getWeekDay()`
`protected void` | `setEndTime(int endTime)`
`protected void` | `setStartTime(int startTime)`
`protected void` | `setWeekDay(int weekDay)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.common.server.session.CalendarEntry
`equals, getCalendar, hashCode, setCalendar`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WeekEntry

    protected WeekEntry()

Method Detail

### getWeekDay

    public int getWeekDay()

### setWeekDay

    protected void setWeekDay(int weekDay)

### getStartTime

    public int getStartTime()

### setStartTime

    protected void setStartTime(int startTime)

### getEndTime

    public int getEndTime()

### setEndTime

    protected void setEndTime(int endTime)

### containsTime

    public boolean containsTime(long time)

  Specified by:
    `containsTime` in class `CalendarEntry`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.